CreateElectricalNode
POST
/api/sites/{siteId}/electrical/nodes
const url = 'https://demo.consystence.com/api/sites/example/electrical/nodes';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"id":"example","name":"example","nodeType":0,"ratedVoltageV":1,"ratedCurrentA":1,"ratedPowerKw":1,"impedanceOhms":1,"cableSize":"example","cableLengthM":1,"protectionCurve":"example","protectionPickupA":1,"protectionTms":1,"description":"example","tagBindings":{"additionalProperty":"example"},"metadata":{"additionalProperty":"example"}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://demo.consystence.com/api/sites/example/electrical/nodes \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "id": "example", "name": "example", "nodeType": 0, "ratedVoltageV": 1, "ratedCurrentA": 1, "ratedPowerKw": 1, "impedanceOhms": 1, "cableSize": "example", "cableLengthM": 1, "protectionCurve": "example", "protectionPickupA": 1, "protectionTms": 1, "description": "example", "tagBindings": { "additionalProperty": "example" }, "metadata": { "additionalProperty": "example" } }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”siteId
required
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
id
required
string
name
required
string
nodeType
required
integer format: int32
ratedVoltageV
number format: double
ratedCurrentA
number format: double
ratedPowerKw
number format: double
impedanceOhms
number format: double
cableSize
string
cableLengthM
number format: double
protectionCurve
string
protectionPickupA
number format: double
protectionTms
number format: double
description
string
tagBindings
object
key
additional properties
string
metadata
object
key
additional properties
Responses
Section titled “Responses”OK